Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ClientRequestInfo_out Class Reference

`#include <PortableInterceptorC.h>`

Collaboration diagram for PortableInterceptor::ClientRequestInfo_out:

[legend]
List of all members.

## Public Methods
| ClientRequestInfo_out (ClientRequestInfo_ptr &)
| ClientRequestInfo_out (ClientRequestInfo_var &)
| ClientRequestInfo_out (const ClientRequestInfo_out &)
ClientRequestInfo_out & | operator= (const ClientRequestInfo_out &)
ClientRequestInfo_out & | operator= (const ClientRequestInfo_var &)
ClientRequestInfo_out & | operator= (ClientRequestInfo_ptr)
| operator ClientRequestInfo_ptr & ()
ClientRequestInfo_ptr & | ptr (void)
ClientRequestInfo_ptr | operator-> (void)
## Private Attributes
ClientRequestInfo_ptr & | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ClientRequestInfo_out::ClientRequestInfo_out | ( | ClientRequestInfo_ptr & |  | ) |

PortableInterceptor::ClientRequestInfo_out::ClientRequestInfo_out | ( | ClientRequestInfo_var & |  | ) |

PortableInterceptor::ClientRequestInfo_out::ClientRequestInfo_out | ( | const ClientRequestInfo_out & |  | ) |

## Member Function Documentation

PortableInterceptor::ClientRequestInfo_out::operator ClientRequestInfo_ptr & | ( |  | ) |

ClientRequestInfo_ptr PortableInterceptor::ClientRequestInfo_out::operator-> | ( | void |  | ) |

ClientRequestInfo_out& PortableInterceptor::ClientRequestInfo_out::operator= | ( | ClientRequestInfo_ptr |  | ) |

ClientRequestInfo_out& PortableInterceptor::ClientRequestInfo_out::operator= | ( | const ClientRequestInfo_var & |  | ) |

ClientRequestInfo_out& PortableInterceptor::ClientRequestInfo_out::operator= | ( | const ClientRequestInfo_out & |  | ) |

ClientRequestInfo_ptr& PortableInterceptor::ClientRequestInfo_out::ptr | ( | void |  | ) |

## Member Data Documentation

ClientRequestInfo_ptr& PortableInterceptor::ClientRequestInfo_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableInterceptorC.h